Skip to Content
API ReferenceAI FeaturesGenerate chapters

Generate chapters

Chapter generation uses AI to split a video into chapters from an existing text track. Each chapter has a title and a timestamp. The first chapter always starts at 00:00:00. The generated chapters are saved on the video object.

AI features require a plan with AI features enabled. The API token that you use must have the update permission.

Generate chapters

Generate chapters by sending a POST request to the /videos/:id/chapters/generate endpoint.

curl -X POST https://app.ignitevideo.cloud/api/videos/[VIDEO_ID]/chapters/generate \ -H "Authorization: Bearer YOUR_TOKEN" \ -H "Content-Type: application/json" \ -d '{"texttrackId": "[TEXTTRACK_ID]", "numberOfChapters": 6}'

Parameters

FieldRequiredDescription
texttrackIdYesID of the source text track on the video.
numberOfChaptersNoNumber of chapters to generate, between 2 and 100. Derived from duration if omitted.

Response

The generated chapters, which are also saved on the video object.

{ "chapters": [ { "title": string, "timestamp": "00:00:00" } ], "message": "Chapters successfully generated and saved" }